local _, private = ...

private.Continent = {
	Kalimdor = 1,
	EasternKingdoms = 2,
	Outland = 3,
	Northrend = 4,
	Cataclysm = 5,
	Pandaria = 6,
	Draenor = 7,
	BrokenIsles = 8,
}

private.Zone = {
	-- Kalimdor
	Durotar = 4,
	Mulgore = 9,
	NorthernBarrens = 11,
	Teldrassil = 41,
	Darkshore = 42,
	Ashenvale = 43,
	ThousandNeedles = 61,
	StonetalonMountains = 81,
	Desolace = 101,
	Feralas = 121,
	DustwallowMarsh = 141,
	Tanaris = 161,
	Azshara = 181,
	Felwood = 182,
	UnGoroCrater = 201,
	Moonglade = 241,
	Silithus = 261,
	Winterspring = 281,
	AzuremystIsle = 464,
	BloodmystIsle = 476,
	SouthernBarrens = 607,
	-- Eastern Kingdoms
	Badlands = 17,
	BlastedLands = 19,
	TrisfalGlades = 20,
	SilverpineForest = 21,
	WesternPlaguelands = 22,
	EasternPlaguelands = 23,
	HillsbradFoothills = 24,
	Hinterlands = 26,
	DunMorogh = 27,
	SearingGorge = 28,
	BurningSteppes = 29,
	ElwynnForest = 30,
	DeadwindPass = 32,
	Duskwood = 34,
	LochModan = 35,
	RedridgeMountains = 36,
	NorthernStranglethorn = 37,
	SwampOfSorrows = 38,
	Westfall = 39,
	Wetlands = 40,
	EversongWoods = 462,
	Ghostlands = 463,
	IsleOfQuelDanas = 499,
	CapeOfStranglethorn = 673,
	ArathiHighlands = 616,
	-- Outland
	HellfirePeninsula = 465,
	Zangarmarsh = 467,
	ShadowmoonValleyOutland = 473,
	BladesEdgeMountains = 475,
	NagrandOutland = 477,
	TerokkarForest = 478,
	Netherstorm = 479,
	-- Northrend
	BoreanTundra = 486,
	Dragonblight = 488,
	GrizzlyHills = 490,
	HowlingFjord = 491,
	Icecrown = 492,
	SholazarBasin = 493,
	StormPeaks = 495,
	ZulDrak = 496,
	CrystalsongForest = 510,
	-- Cataclysm
	MountHyjal = 606,
	Vashjir = 613,
	Deepholm = 640,
	TwilightHighlands = 700,
	Uldum = 720,
	-- Pandaria
	JadedForest = 806,
	ValleyOfTheFourWinds = 807,
	KunLaiSummit = 809,
	TownlongSteppes = 810,
	ValeOfEternalBlossoms = 811,
	KrasarangWilds = 857,
	DreadWastes = 858,
	-- Draenor
	FrostfireRidge = 941,
	Gorgrond = 949,
	SpiresOfArak = 948,
	ShadowmoonValleyDraenor = 947,
	Talador = 946,
	NagrandDraenor = 950,
	-- Broken Isles
	Azsuna = 1015, -- Also 1053
	Valsharah = 1018,
	Stormheim = 1017, -- Also 1037
	Highmountain = 1024,
	Suramar = 1033, -- Also 1055
}

--[[

As this isn't needed at the moment by TomTom, we'll just leave it commented

private.ContinentZones = {}

for _, regionID in pairs(private.Continent) do
	local regionData = { GetMapZones(regionID) }
	local regionZoneID
	for regionDataIndex = 1, #regionData do
		if regionDataIndex % 2 == 0 then
			if not private.ContinentZones[regionID] then
				private.ContinentZones[regionID] = {}
			end
			private.ContinentZones[regionID][regionZoneID] = regionData[regionDataIndex]
		else
			regionZoneID = regionData[regionDataIndex]
		end
	end
end

function private:GetZoneContinent(zone)
	for _, regionID in pairs(private.Continent) do
		if private.ContinentZones[regionID][zone] then
			return regionID
		end
	end
end]]