local _, private = ...

local Guide = {}
local pairs = pairs

private.Guide = Guide
local Guide_mt = {__index=Guide }

function Guide:New(data)
	local title = ""
	local guide = {
		title = title
	}
	if data then
		for k, v in pairs(data) do
			guide[k] = v
		end
	end
	setmetatable(guide, Guide_mt)
	return guide
end